Package dev.plex.admin

# Class AdminList

java.lang.Object
dev.plex.admin.AdminList

All Implemented Interfaces:
  `PlexBase`

public class AdminList extends Object implements PlexBase
Cached storage for Admin objects

See Also:
  - `Admin`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<UUID,Admin>`
`admins`
Key / Value storage, where the key is the unique ID of the admin

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`AdminList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToCache(Admin admin)`
Adds the admin to cache
`List<PlexPlayer>`
`getAllAdminPlayers()`
Gathers every admin (cached and in the database)
`List<String>`
`getAllAdmins()`
Gathers every admins username (cached and in the database)
`void`
`removeFromCache(UUID uuid)`
Removes an admin from the cache

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### admins

private final Map<UUID,Admin> admins
Key / Value storage, where the key is the unique ID of the admin

## Constructor Details

### AdminList

public AdminList()

## Method Details

### addToCache

public void addToCache(Admin admin)
Adds the admin to cache

Parameters:
  `admin` - The admin object

### removeFromCache

public void removeFromCache(UUID uuid)
Removes an admin from the cache

Parameters:
  `uuid` - The unique ID of the admin
See Also:
  - `UUID`

### getAllAdmins

public List<String> getAllAdmins()
Gathers every admins username (cached and in the database)

Returns:
  An array list of the names of every admin

### getAllAdminPlayers

public List<PlexPlayer> getAllAdminPlayers()
Gathers every admin (cached and in the database)

Returns:
  An array list of the names of every admin